import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { SkyAppWindowRef, SkyCoreAdapterService } from '@skyux/core';
import { SkySplitViewService } from './split-view.service';
import * as i0 from "@angular/core";
/**
 * Specifies the content to display in the split view's list panel.
 */
export declare class SkySplitViewDrawerComponent implements OnInit, OnDestroy {
    #private;
    /**
     * The ARIA label for the list panel. This sets the panel's `aria-label` attribute to provide a text equivalent for screen readers
     * [to support accessibility](https://developer.blackbaud.com/skyux/learn/accessibility).
     * For more information about the `aria-label` attribute, see the [WAI-ARIA definition](https://www.w3.org/TR/wai-aria/#aria-label).
     */
    ariaLabel: string | undefined;
    /**
     * Sets the list panel's width in pixels.
     * @default 320
     */
    set width(value: number | undefined);
    get width(): number | undefined;
    isMobile: boolean;
    splitViewDrawerId: string;
    widthDefault: number;
    widthMax: number;
    widthMin: number;
    widthTolerance: number;
    constructor(changeDetectorRef: ChangeDetectorRef, coreAdapterService: SkyCoreAdapterService, splitViewSvc: SkySplitViewService, windowRef: SkyAppWindowRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onResizeHandleMouseDown(event: MouseEvent): void;
    onMouseMove(event: MouseEvent): void;
    onHandleRelease(): void;
    onResizeHandleChange(event: Event): void;
    onWindowResize(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SkySplitViewDrawerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SkySplitViewDrawerComponent, "sky-split-view-drawer", never, { "ariaLabel": { "alias": "ariaLabel"; "required": false; }; "width": { "alias": "width"; "required": false; }; }, {}, never, ["*"], true, never>;
}
