import * as i0 from "@angular/core";
/**
 * Contains the content, footer, and header to display in the split view's workspace panel.
 */
export declare class SkySplitViewWorkspaceComponent {
    protected breakpoint: import("@angular/core").Signal<"xs" | "sm" | "md" | "lg" | undefined>;
    /**
     * The ARIA label for the workspace panel. This sets the panel's `aria-label` attribute to provide a text equivalent for screen readers
     * [to support accessibility](https://developer.blackbaud.com/skyux/learn/accessibility).
     * For more information about the `aria-label` attribute, see the [WAI-ARIA definition](https://www.w3.org/TR/wai-aria/#aria-label).
     */
    ariaLabel: string | undefined;
    static ɵfac: i0.ɵɵFactoryDeclaration<SkySplitViewWorkspaceComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SkySplitViewWorkspaceComponent, "sky-split-view-workspace", never, { "ariaLabel": { "alias": "ariaLabel"; "required": false; }; }, {}, never, ["sky-split-view-workspace-content", "sky-split-view-workspace-footer"], true, never>;
}
