import { ComponentFixture } from '@angular/core/testing';
import { SkySplitViewFixtureDrawer } from './split-view-fixture-drawer';
import { SkySplitViewFixtureWorkspace } from './split-view-fixture-workspace';
/**
 * Provides information for and interaction with a SKY UX split view component.
 * By using the fixture API, a test insulates itself against updates to the internals
 * of a component, such as changing its DOM structure.
 * @internal
 */
export declare class SkySplitViewFixture {
    #private;
    /**
     * Returns information about the split view's drawer component.
     */
    get drawer(): SkySplitViewFixtureDrawer;
    /**
     * Returns information about the split view's workspace component.
     */
    get workspace(): SkySplitViewFixtureWorkspace;
    constructor(fixture: ComponentFixture<unknown>, skyTestId: string);
    /**
     * Opens the drawer component when in responsive mode. This method clicks the back to list
     * button, if it is visible.
     */
    openDrawer(): Promise<void>;
}
