import { HarnessPredicate } from '@angular/cdk/testing';
import { SkyComponentHarness } from '@skyux/core/testing';
import { SkySplitViewDockType } from '@skyux/split-view';
import { SkySplitViewDrawerHarness } from './split-view-drawer-harness';
import { SkySplitViewHarnessFilters } from './split-view-harness-filters';
import { SkySplitViewWorkspaceHarness } from './split-view-workspace-harness';
/**
 * Harness for interacting with a split view component in tests.
 */
export declare class SkySplitViewHarness extends SkyComponentHarness {
    #private;
    /**
     * @internal
     */
    static hostSelector: string;
    /**
     * Gets a `HarnessPredicate` that can be used to search for a
     * `SkySplitViewHarness` that meets certain criteria.
     */
    static with(filters: SkySplitViewHarnessFilters): HarnessPredicate<SkySplitViewHarness>;
    /**
     * Gets the text for the button that appears in the workspace header in responsive mode.
     */
    getBackButtonText(): Promise<string>;
    /**
     * Gets the type of dock style on the split view.
     */
    getDockType(): Promise<SkySplitViewDockType>;
    /**
     * Gets a 'SkySplitViewDrawerHarness`.
     */
    getDrawer(): Promise<SkySplitViewDrawerHarness>;
    /**
     * Whether the drawer component is visible
     */
    getDrawerIsVisible(): Promise<boolean>;
    /**
     * Gets a `SkySplitViewWorkspaceHarness`.
     */
    getWorkspace(): Promise<SkySplitViewWorkspaceHarness>;
    /**
     * Whether the workspace component is visible.
     */
    getWorkspaceIsVisible(): Promise<boolean>;
    /**
     * Opens the drawer component when in responsive mode.
     */
    openDrawer(): Promise<void>;
}
