import { SkyQueryableComponentHarness } from '@skyux/core/testing';
import { SkySplitViewWorkspaceContentHarness } from './split-view-workspace-content-harness';
import { SkySplitViewWorkspaceFooterHarness } from './split-view-workspace-footer-harness';
import { SkySplitViewWorkspaceHeaderHarness } from './split-view-workspace-header-harness';
/**
 * Harness to interact with the split view workspace component in tests.
 */
export declare class SkySplitViewWorkspaceHarness extends SkyQueryableComponentHarness {
    #private;
    /**
     * @internal
     */
    static hostSelector: string;
    /**
     * The aria-label property of the split view workspace
     */
    getAriaLabel(): Promise<string | null>;
    /**
     * Gets the workspace content component.
     */
    getContent(): Promise<SkySplitViewWorkspaceContentHarness>;
    /**
     * Gets the workspace footer component.
     */
    getFooter(): Promise<SkySplitViewWorkspaceFooterHarness>;
    /**
     * Gets the workspace header component.
     * @internal
     */
    getHeader(): Promise<SkySplitViewWorkspaceHeaderHarness>;
}
